## org.dom4j.tree
Class SingleIterator

    java.lang.Object
      org.dom4j.tree.SingleIterator

All Implemented Interfaces:
  Iterator

public class SingleIterator
extends Object
implements Iterator

`SingleIterator` is an `Iterator`over a single object instance.

Version:
  $Revision: 1.9 $
Author:
  James Strachan

Constructor Summary
`SingleIterator(Object object)`

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleIterator

    public SingleIterator(Object object)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.